#include <iostream>

using namespace std;
void ucitaj(int a[],int n)
{
    for(int i=0;i<n;i++)
        cin>>a[i];
}

int main()
{
    int x,n,s;
    cin>>n>>x;
    int a[n];
    ucitaj(a,n);
    if(x>a[0]&&x<a[n-1]){
        if((a[n-1]-x)<(x-a[0]))
            s=2*a[n-1]-a[0]-x;
        else
            s=x+a[n-1]-2*a[0];
    }
    else{
        if(x<a[0])
            s=a[n-1]-x;
        if(x>a[n-1])
            s=x-a[0];
    }
    cout<<s;
}